Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network19.232.48.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
19.232.48.0
Broadcast address
19.232.63.255
First usable
19.232.48.1
Last usable
19.232.63.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 13E83000 · Integer 333983744 to 333987839
Reverse DNS zones
48.232.19.in-addr.arpa
49.232.19.in-addr.arpa
50.232.19.in-addr.arpa
51.232.19.in-addr.arpa
52.232.19.in-addr.arpa
53.232.19.in-addr.arpa
54.232.19.in-addr.arpa
55.232.19.in-addr.arpa
56.232.19.in-addr.arpa
57.232.19.in-addr.arpa
58.232.19.in-addr.arpa
59.232.19.in-addr.arpa
60.232.19.in-addr.arpa
61.232.19.in-addr.arpa
62.232.19.in-addr.arpa
63.232.19.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010011.11101000.00110000.0000000019.232.48.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network00010011.11101000.00110000.0000000019.232.48.0
Broadcast00010011.11101000.00111111.1111111119.232.63.255
Split into smaller subnets/27

19.232.48.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
119.232.48.0/2719.232.48.1 to 19.232.48.3019.232.48.3130
219.232.48.32/2719.232.48.33 to 19.232.48.6219.232.48.6330
319.232.48.64/2719.232.48.65 to 19.232.48.9419.232.48.9530
419.232.48.96/2719.232.48.97 to 19.232.48.12619.232.48.12730
519.232.48.128/2719.232.48.129 to 19.232.48.15819.232.48.15930
619.232.48.160/2719.232.48.161 to 19.232.48.19019.232.48.19130
719.232.48.192/2719.232.48.193 to 19.232.48.22219.232.48.22330
819.232.48.224/2719.232.48.225 to 19.232.48.25419.232.48.25530
919.232.49.0/2719.232.49.1 to 19.232.49.3019.232.49.3130
1019.232.49.32/2719.232.49.33 to 19.232.49.6219.232.49.6330
1119.232.49.64/2719.232.49.65 to 19.232.49.9419.232.49.9530
1219.232.49.96/2719.232.49.97 to 19.232.49.12619.232.49.12730
1319.232.49.128/2719.232.49.129 to 19.232.49.15819.232.49.15930
1419.232.49.160/2719.232.49.161 to 19.232.49.19019.232.49.19130
1519.232.49.192/2719.232.49.193 to 19.232.49.22219.232.49.22330
1619.232.49.224/2719.232.49.225 to 19.232.49.25419.232.49.25530
1719.232.50.0/2719.232.50.1 to 19.232.50.3019.232.50.3130
1819.232.50.32/2719.232.50.33 to 19.232.50.6219.232.50.6330
1919.232.50.64/2719.232.50.65 to 19.232.50.9419.232.50.9530
2019.232.50.96/2719.232.50.97 to 19.232.50.12619.232.50.12730
2119.232.50.128/2719.232.50.129 to 19.232.50.15819.232.50.15930
2219.232.50.160/2719.232.50.161 to 19.232.50.19019.232.50.19130
2319.232.50.192/2719.232.50.193 to 19.232.50.22219.232.50.22330
2419.232.50.224/2719.232.50.225 to 19.232.50.25419.232.50.25530
2519.232.51.0/2719.232.51.1 to 19.232.51.3019.232.51.3130
2619.232.51.32/2719.232.51.33 to 19.232.51.6219.232.51.6330
2719.232.51.64/2719.232.51.65 to 19.232.51.9419.232.51.9530
2819.232.51.96/2719.232.51.97 to 19.232.51.12619.232.51.12730
2919.232.51.128/2719.232.51.129 to 19.232.51.15819.232.51.15930
3019.232.51.160/2719.232.51.161 to 19.232.51.19019.232.51.19130
3119.232.51.192/2719.232.51.193 to 19.232.51.22219.232.51.22330
3219.232.51.224/2719.232.51.225 to 19.232.51.25419.232.51.25530
3319.232.52.0/2719.232.52.1 to 19.232.52.3019.232.52.3130
3419.232.52.32/2719.232.52.33 to 19.232.52.6219.232.52.6330
3519.232.52.64/2719.232.52.65 to 19.232.52.9419.232.52.9530
3619.232.52.96/2719.232.52.97 to 19.232.52.12619.232.52.12730
3719.232.52.128/2719.232.52.129 to 19.232.52.15819.232.52.15930
3819.232.52.160/2719.232.52.161 to 19.232.52.19019.232.52.19130
3919.232.52.192/2719.232.52.193 to 19.232.52.22219.232.52.22330
4019.232.52.224/2719.232.52.225 to 19.232.52.25419.232.52.25530
4119.232.53.0/2719.232.53.1 to 19.232.53.3019.232.53.3130
4219.232.53.32/2719.232.53.33 to 19.232.53.6219.232.53.6330
4319.232.53.64/2719.232.53.65 to 19.232.53.9419.232.53.9530
4419.232.53.96/2719.232.53.97 to 19.232.53.12619.232.53.12730
4519.232.53.128/2719.232.53.129 to 19.232.53.15819.232.53.15930
4619.232.53.160/2719.232.53.161 to 19.232.53.19019.232.53.19130
4719.232.53.192/2719.232.53.193 to 19.232.53.22219.232.53.22330
4819.232.53.224/2719.232.53.225 to 19.232.53.25419.232.53.25530
4919.232.54.0/2719.232.54.1 to 19.232.54.3019.232.54.3130
5019.232.54.32/2719.232.54.33 to 19.232.54.6219.232.54.6330
5119.232.54.64/2719.232.54.65 to 19.232.54.9419.232.54.9530
5219.232.54.96/2719.232.54.97 to 19.232.54.12619.232.54.12730
5319.232.54.128/2719.232.54.129 to 19.232.54.15819.232.54.15930
5419.232.54.160/2719.232.54.161 to 19.232.54.19019.232.54.19130
5519.232.54.192/2719.232.54.193 to 19.232.54.22219.232.54.22330
5619.232.54.224/2719.232.54.225 to 19.232.54.25419.232.54.25530
5719.232.55.0/2719.232.55.1 to 19.232.55.3019.232.55.3130
5819.232.55.32/2719.232.55.33 to 19.232.55.6219.232.55.6330
5919.232.55.64/2719.232.55.65 to 19.232.55.9419.232.55.9530
6019.232.55.96/2719.232.55.97 to 19.232.55.12619.232.55.12730
6119.232.55.128/2719.232.55.129 to 19.232.55.15819.232.55.15930
6219.232.55.160/2719.232.55.161 to 19.232.55.19019.232.55.19130
6319.232.55.192/2719.232.55.193 to 19.232.55.22219.232.55.22330
6419.232.55.224/2719.232.55.225 to 19.232.55.25419.232.55.25530
6519.232.56.0/2719.232.56.1 to 19.232.56.3019.232.56.3130
6619.232.56.32/2719.232.56.33 to 19.232.56.6219.232.56.6330
6719.232.56.64/2719.232.56.65 to 19.232.56.9419.232.56.9530
6819.232.56.96/2719.232.56.97 to 19.232.56.12619.232.56.12730
6919.232.56.128/2719.232.56.129 to 19.232.56.15819.232.56.15930
7019.232.56.160/2719.232.56.161 to 19.232.56.19019.232.56.19130
7119.232.56.192/2719.232.56.193 to 19.232.56.22219.232.56.22330
7219.232.56.224/2719.232.56.225 to 19.232.56.25419.232.56.25530
7319.232.57.0/2719.232.57.1 to 19.232.57.3019.232.57.3130
7419.232.57.32/2719.232.57.33 to 19.232.57.6219.232.57.6330
7519.232.57.64/2719.232.57.65 to 19.232.57.9419.232.57.9530
7619.232.57.96/2719.232.57.97 to 19.232.57.12619.232.57.12730
7719.232.57.128/2719.232.57.129 to 19.232.57.15819.232.57.15930
7819.232.57.160/2719.232.57.161 to 19.232.57.19019.232.57.19130
7919.232.57.192/2719.232.57.193 to 19.232.57.22219.232.57.22330
8019.232.57.224/2719.232.57.225 to 19.232.57.25419.232.57.25530
8119.232.58.0/2719.232.58.1 to 19.232.58.3019.232.58.3130
8219.232.58.32/2719.232.58.33 to 19.232.58.6219.232.58.6330
8319.232.58.64/2719.232.58.65 to 19.232.58.9419.232.58.9530
8419.232.58.96/2719.232.58.97 to 19.232.58.12619.232.58.12730
8519.232.58.128/2719.232.58.129 to 19.232.58.15819.232.58.15930
8619.232.58.160/2719.232.58.161 to 19.232.58.19019.232.58.19130
8719.232.58.192/2719.232.58.193 to 19.232.58.22219.232.58.22330
8819.232.58.224/2719.232.58.225 to 19.232.58.25419.232.58.25530
8919.232.59.0/2719.232.59.1 to 19.232.59.3019.232.59.3130
9019.232.59.32/2719.232.59.33 to 19.232.59.6219.232.59.6330
9119.232.59.64/2719.232.59.65 to 19.232.59.9419.232.59.9530
9219.232.59.96/2719.232.59.97 to 19.232.59.12619.232.59.12730
9319.232.59.128/2719.232.59.129 to 19.232.59.15819.232.59.15930
9419.232.59.160/2719.232.59.161 to 19.232.59.19019.232.59.19130
9519.232.59.192/2719.232.59.193 to 19.232.59.22219.232.59.22330
9619.232.59.224/2719.232.59.225 to 19.232.59.25419.232.59.25530
9719.232.60.0/2719.232.60.1 to 19.232.60.3019.232.60.3130
9819.232.60.32/2719.232.60.33 to 19.232.60.6219.232.60.6330
9919.232.60.64/2719.232.60.65 to 19.232.60.9419.232.60.9530
10019.232.60.96/2719.232.60.97 to 19.232.60.12619.232.60.12730
10119.232.60.128/2719.232.60.129 to 19.232.60.15819.232.60.15930
10219.232.60.160/2719.232.60.161 to 19.232.60.19019.232.60.19130
10319.232.60.192/2719.232.60.193 to 19.232.60.22219.232.60.22330
10419.232.60.224/2719.232.60.225 to 19.232.60.25419.232.60.25530
10519.232.61.0/2719.232.61.1 to 19.232.61.3019.232.61.3130
10619.232.61.32/2719.232.61.33 to 19.232.61.6219.232.61.6330
10719.232.61.64/2719.232.61.65 to 19.232.61.9419.232.61.9530
10819.232.61.96/2719.232.61.97 to 19.232.61.12619.232.61.12730
10919.232.61.128/2719.232.61.129 to 19.232.61.15819.232.61.15930
11019.232.61.160/2719.232.61.161 to 19.232.61.19019.232.61.19130
11119.232.61.192/2719.232.61.193 to 19.232.61.22219.232.61.22330
11219.232.61.224/2719.232.61.225 to 19.232.61.25419.232.61.25530
11319.232.62.0/2719.232.62.1 to 19.232.62.3019.232.62.3130
11419.232.62.32/2719.232.62.33 to 19.232.62.6219.232.62.6330
11519.232.62.64/2719.232.62.65 to 19.232.62.9419.232.62.9530
11619.232.62.96/2719.232.62.97 to 19.232.62.12619.232.62.12730
11719.232.62.128/2719.232.62.129 to 19.232.62.15819.232.62.15930
11819.232.62.160/2719.232.62.161 to 19.232.62.19019.232.62.19130
11919.232.62.192/2719.232.62.193 to 19.232.62.22219.232.62.22330
12019.232.62.224/2719.232.62.225 to 19.232.62.25419.232.62.25530
12119.232.63.0/2719.232.63.1 to 19.232.63.3019.232.63.3130
12219.232.63.32/2719.232.63.33 to 19.232.63.6219.232.63.6330
12319.232.63.64/2719.232.63.65 to 19.232.63.9419.232.63.9530
12419.232.63.96/2719.232.63.97 to 19.232.63.12619.232.63.12730
12519.232.63.128/2719.232.63.129 to 19.232.63.15819.232.63.15930
12619.232.63.160/2719.232.63.161 to 19.232.63.19019.232.63.19130
12719.232.63.192/2719.232.63.193 to 19.232.63.22219.232.63.22330
12819.232.63.224/2719.232.63.225 to 19.232.63.25419.232.63.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses